package Alibaba;

import java.util.ArrayList;

/**
 * System of airport 
 * @author mohammadreza
 * @version
 */
public class System {
    private ArrayList<Flight> flights;
    private ArrayList<Ticket> tickets;
    
    /**
	 * This is a getter method!
	 * @author mohammadreza
	 * @return the flights
	 */
	public ArrayList<Flight> getFlights() {
		return flights;
	}
	/**
	 * This is a getter method!
	 * @author mohammadreza
	 * @return the tickets
	 */
	public ArrayList<Ticket> getTickets() {
		return tickets;
	}
	/**
	 * for add a flight to users flight list
	 * @author mohammadreza
	 * @param Flight add to flight list
	 */
    public void addFlight(Flight f){
        flights.add(f);
    }
    /**
	 * for remove a flight from users flight list
	 * @author mohammadreza
	 * @param Flight remove from flight list
	 */
    public void removeFlight(Flight f){
        flights.remove(f);
    }
    public void addTicket(Ticket t){
        tickets.add(t);
    }
    public void showFlightsDetails(){
        for(Flight f: flights){
            java.lang.System.out.println(f.getCompany()+","+f.getDay()+","+f.getHour()+","+f.getI()+","+f.getF()+","+f.getNumber() );
        }
    }
}
