package Alibaba;


/**
 * This class implements the user system
 * @author mohammadreza
 * @version 1.0
 */
public class User {

	private String name;
    private int ID;
    
    /**
     * @author mohammadreza
	 * @param name the name of user
	 * @param iD the id of user
	 */
	public User(String name, int iD) {
		this.name = name;
		ID = iD;
	}
    /**
	 * This is a getter method!
	 * @author mohammadreza
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * this is a setter method
	 * @author mohammadreza
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * This is a getter method!
	 * @author mohammadreza
	 * @return the iD
	 */
	public int getID() {
		return ID;
	}

	/**
	 * this is a setter method
	 * @author mohammadreza
	 * @param iD the iD to set
	 */
	public void setID(int iD) {
		ID = iD;
	}

	/**
	 * this method reserve seats
	 * @author mohammadreza
	 * @param seatNum and plane for reserve the seat for user
	 */
	
    public Ticket reserveSeat (int seatNum , Plane plane){
        if (!plane.getSeats().get(seatNum).getDiscription()) {
            plane.getSeats().get(seatNum).setDiscription(true);
            // system must add this reservation
            Ticket t = new Ticket();
            return t;
        }else return null;
    }
}
